#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/ingestion/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Ingestion',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['astropy',
                      'jxmlease',
                      'lxml',
                      'numpy',
                      'psycopg2',
                      'pycapo',
                      'pymygdala',
                      'requests',
                      'schema',
                      'sqlalchemy',
                      'weblog_thumbs'],
    keywords=[],
    packages=['ingestion'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['ingest = ingestion.archive:main']
    },
)
